## analitza 4.14.0

=== debian/changelog ===
analitza (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 19:50:59 +0200

analitza (4:4.13.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * analitza-common: break/replace against old libanalitzaplot4 (it helps
    when upgrading from such installations).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 12:41:15 +0200

analitza (4:4.13.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update copyright information. (Closes: #749379)
  * Release to unstable.

  [ Pino Toscano ]
  * Update symbols files.
  * Drop wrong package libanalitzaplot5 (there is libanalitzaplot5abi1
    already, which requires rebuild of rdeps).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 11:52:25 +0200

analitza (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Abi breakage, bump soversion, sync with kubuntu.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 May 2014 20:14:43 +0200

analitza (4:4.12.2-2) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:50 +0200

analitza (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: analitzaplot-armhf, applid by upstream
  * Update install files.
  * Update symbols files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:09 +0100

analitza (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update descriptions, also fixing typos in them. (Closes: #729211)
  * Remove unused kalgebra-common.install.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:27:05 +0100

analitza (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable build failures on missing symbols.
  * Add abi-compliance-checker info.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 19:34:43 +0100

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libncurses5-dev,
               libqt4-opengl-dev,
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git

Package: calgebra
Architecture: any
Section: kde
Breaks: kalgebra-common (<< 4:4.8)
Replaces: kalgebra-common (<< 4:4.8)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: console interface for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains a console interface for Analitza.
 .
 This package is part of the KDE education module.

Package: analitza-common
Architecture: all
Depends: ${misc:Depends}
Replaces: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Section: libdevel
Conflicts: kalgebra-dev
Depends: libanalitza5abi1 (= ${binary:Version}),
         libanalitzagui5abi1 (= ${binary:Version}),
         libanalitzaplot5abi1 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza5abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui5abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot5abi1
X-Debian-ABI: 1
Architecture: any
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitza-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libanalitza5abi1 (= ${binary:Version}),
         libanalitzagui5abi1 (= ${binary:Version}),
         libanalitzaplot5abi1 (= ${binary:Version}),
         ${misc:Depends}
Breaks: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Replaces: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for Analitza
 This package contains debugging files used to investigate problems with
 libraries and binaries included in Analitza.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libanalitza-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/analitza-([\d.]+).tar.xz

## analitza 4.14.1

=== debian/changelog ===
analitza (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:18:48 +0200

analitza (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:24:39 +0200

analitza (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:01:04 +0200

analitza (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Rohan Garg ]
  * Update symbols for armhf

  [ Jonathan Riddell ]
  * Update symbols for new gcc

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:17:56 +0200

analitza (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Patch symbols file with build log.
  * Add ncurses build depend for calgebra

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 10:21:47 -0700

analitza (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Update debian/libanalitzaplot5abi1.symbols for armhf specific symbol
    differences

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2014 12:42:10 -0400

analitza (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jun 2014 23:18:47 +0100

analitza (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:32:10 +0100

analitza (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes :
    - bump X-Debian-ABI of all libraries to 1 and
      rename packages

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 26 May 2014 16:35:59 +0200

analitza (4:4.13.1-2) UNRELEASED; urgency=medium

  * Update copyright information. (Closes: #749379)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 May 2014 09:35:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: analitza
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libqt4-opengl-dev,
                libncurses5-dev,
-               libqt4-opengl-dev,
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
+X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
+X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git
 
 Package: calgebra
 Architecture: any
@@ -30,18 +33,6 @@
  programs.
  .
  This package contains a console interface for Analitza.
- .
- This package is part of the KDE education module.
-
-Package: analitza-common
-Architecture: all
-Depends: ${misc:Depends}
-Replaces: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
-Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
-Description: common files for Analitza
- Analitza is a library to parse and work with mathematical expressions. This
- library is being used by KAlgebra and Cantor and may be used in other
- programs.
  .
  This package is part of the KDE education module.
 
@@ -60,6 +51,18 @@
  .
  This package contains the development files, used to build applications that
  use Analitza.
+ .
+ This package is part of the KDE education module.
+
+Package: analitza-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: libanalitzaplot4
+Conflicts: libanalitzaplot4
+Description: common files for Analitza
+ Analitza is a library to parse and work with mathematical expressions. This
+ library is being used by KAlgebra and Cantor and may be used in other
+ programs.
  .
  This package is part of the KDE education module.

## analitza 4.14.2

=== CMakeLists.txt ===
project(analitza)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
set(CMAKE_MODULE_PATH ${analitza_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

#Checking whether we can compile calgebra
include(CheckIncludeFiles)

set(CURSES_NEED_NCURSES TRUE)
macro_optional_find_package(Curses)
macro_optional_find_package(Readline)

macro_log_feature(READLINE_FOUND "GNU Readline" "Allows KAlgebra to provide a console interface." "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html" FALSE "" "")
macro_log_feature(CURSES_FOUND "NCurses" "Allows KAlgebra to provide a console interface." "http://www.gnu.org/software/ncurses/" FALSE "" "")

macro_optional_find_package(OpenGL)
macro_bool_to_01(OPENGL_FOUND HAVE_OPENGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "Support for 3D graphs in Analitza" "http://opengl.org" FALSE "" "")

include_directories(.)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(ANALITZA_LIB_VERSION "5.0.0")
set(ANALITZA_LIB_SOVERSION "5")

add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
if(READLINE_FOUND AND CURSES_FOUND)
	add_subdirectory(calgebra)
endif()

macro_display_feature_log()

# # # # # # # # # # #  Installation of the CMake config file
if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_analitza_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/analitza")
else(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_analitza_CONFIG_DEST "${LIB_INSTALL_DIR}/analitza")
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

configure_file( "${CMAKE_CURRENT_SOURCE_DIR}/cmake/AnalitzaConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/AnalitzaConfig.cmake" @ONLY )
export(TARGETS analitza analitzaplot analitzagui
  FILE "${PROJECT_BINARY_DIR}/AnalitzaTargets.cmake")

install( FILES
        "${CMAKE_CURRENT_BINARY_DIR}/AnalitzaConfig.cmake"
        DESTINATION "${_analitza_CONFIG_DEST}" )
install( EXPORT AnalitzaTargets
         DESTINATION "${_analitza_CONFIG_DEST}"
         NAMESPACE AnalitzaImport__
         FILE AnalitzaTargets.cmake )

=== analitza/tests/CMakeLists.txt ===
include_directories(${analitza_SOURCE_DIR})

set(testLibs ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KDECORE_LIBS} analitza)

set( analitzatest_SRCS analitzatest.cpp)
kde4_add_unit_test(analitzatest ${analitzatest_SRCS})
target_link_libraries(analitzatest ${testLibs})

set( matchingtest_SRCS matchingtest.cpp ../substituteexpression.cpp ../abstractexpressiontransformer.cpp)
kde4_add_unit_test(matchingtest ${matchingtest_SRCS})
target_link_libraries(matchingtest ${testLibs})

set( expressiontest_SRCS expressiontest.cpp)
kde4_add_unit_test(expressiontest ${expressiontest_SRCS})
target_link_libraries(expressiontest ${testLibs})

set( exptest_SRCS exptest.cpp)
kde4_add_unit_test(exptest ${exptest_SRCS})
target_link_libraries(exptest ${testLibs})

set( mathmlpresentationtest_SRCS mathmlpresentationtest.cpp)
kde4_add_unit_test(mathmlpresentationtest ${mathmlpresentationtest_SRCS})
target_link_libraries(mathmlpresentationtest ${testLibs})

kde4_add_unit_test(typechecktest typechecktest.cpp )
target_link_libraries(typechecktest ${testLibs})

kde4_add_unit_test(builtintest builtintest.cpp )
target_link_libraries(builtintest ${testLibs})

=== debian/changelog ===
analitza (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:33:29 +0200

analitza (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:28:21 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libqt4-opengl-dev,
                libncurses5-dev,
                libreadline-dev,

## analitza 14.12.3

=== debian/changelog ===
analitza (4:14.12.3-0ubuntu2) vivid; urgency=medium

   * Fix tests. Calling kdeinit4 in kf5 builds are not going to
    get very far.


 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 18:30:09 -0700

analitza (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:54:55 -0700

analitza (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:47:26 -0800

analitza (4:14.12.0-0ubuntu2) vivid; urgency=medium

  * Remove .acc files without abi tars

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 17:52:27 +0100

analitza (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 13:06:59 +0100

analitza (4:14.11.97-0ubuntu4) vivid; urgency=medium

  * Update .symbols file for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 16:55:09 +0100

analitza (4:14.11.97-0ubuntu3) vivid; urgency=medium

  * Update .symbols file for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 16:33:32 +0100

analitza (4:14.11.97-0ubuntu2) vivid; urgency=medium

  * Update .symbols file for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 15:26:14 +0100

analitza (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Change build-deps for Qt 5 build
  * Change pkg-kde script to version 3 in debian/rules
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 15:41:29 +0100

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libeigen3-dev,
               libncurses5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtdeclarative5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/analitza.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/analitza.git

Package: analitza-common
Architecture: all
Depends: ${misc:Depends}
Replaces: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Section: libdevel
Conflicts: kalgebra-dev
Depends: libanalitza6 (= ${binary:Version}),
         libanalitzagui6 (= ${binary:Version}),
         libanalitzaplot6 (= ${binary:Version}),
         libanalitzawidgets6 (= ${binary:Version}),
         qml-module-org-kde-analitza (= ${binary:Version}),
         ${misc:Depends}
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot6
Architecture: any
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: qml-module-org-kde-analitza
Architecture: any
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitza-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libanalitza6 (= ${binary:Version}),
         libanalitzagui6 (= ${binary:Version}),
         libanalitzaplot6 (= ${binary:Version}),
         ${misc:Depends}
Breaks: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Replaces: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for Analitza
 This package contains debugging files used to investigate problems with
 libraries and binaries included in Analitza.
 .
 This package is part of the KDE education module.

## analitza 15.08.2

=== debian/changelog ===
analitza (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:45:59 +0100

analitza (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:03:09 +0100

analitza (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:53:44 +0100

analitza (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files:
    - Mark as optional the symbols gone after building witth GCC 5
    - Keep an optional symbol gone after building wih GCC 4

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:54:52 +0100

analitza (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:19:01 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtdeclarative5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/analitza.git/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=libanalitza-dbg

## analitza 15.12.3

=== CMakeLists.txt ===
project(Analitza)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

#Checking whether we can compile calgebra

set(QT_REQUIRED_VERSION 5.2)
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMPackageConfigHelpers)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckLibraryExists) #FindCurses seems to need that on the CI
include(ECMPoQmTools)
set(ANALITZA_INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/Analitza5")

ecm_setup_version(7.0.0 VARIABLE_PREFIX ANALITZA
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake")

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES TYPE OPTIONAL
                                         PURPOSE "Support for 3D graphs in Analitza"
                                         URL "http://opengl.org")
if(OPENGL_FOUND)
    find_package(Qt5OpenGL ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
endif()
set(HAVE_OPENGL ${Qt5OpenGL_FOUND})

find_package(Eigen3) # find and setup Eigen3 if available
set(HAVE_EIGEN3 ${EIGEN3_FOUND})
if(EIGEN3_FOUND)
    include_directories(${EIGEN3_INCLUDE_DIR})
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_KEYWORDS)

add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
add_subdirectory(analitzawidgets)
add_subdirectory(declarative)

if (IS_DIRECTORY "${CMAKE_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza5")
ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Analitza5Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-analitza.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-analitza.h)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT AnalitzaTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Analitza5Targets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h
  DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== analitza/CMakeLists.txt ===
project(AnalitzaCore)

add_subdirectory(tests)

set(analitza_SRCS

    expressionstream.cpp
	polynomial.cpp
	importqobjectmetatype.cpp
	builtinmethods.cpp
	providederivative.cpp
	abstractexpressiontransformer.cpp
	expression.cpp
	abstractexpressionvisitor.cpp
	stringexpressionwriter.cpp
	mathmlexpressionwriter.cpp
	mathmlpresentationexpressionwriter.cpp
	htmlexpressionwriter.cpp
	analyzer.cpp
	container.cpp
	operator.cpp
	operations.cpp
	variables.cpp
	object.cpp
	value.cpp
	variable.cpp
	vector.cpp
	list.cpp
	apply.cpp
	customobject.cpp
	matrix.cpp
	
	expressiontype.cpp
	expressiontypechecker.cpp
	
	expressiontable.cpp	#generated
	expressionparser.cpp	#   ''
	explexer.cpp
	abstractlexer.cpp
	mathmlpresentationlexer.cpp
	analitzautils.cpp
	substituteexpression.cpp
	transformation.cpp
	
	commands/listcommands.cpp
	commands/vectorcommands.cpp
	commands/matrixcommands.cpp
	commands/blockmatrixcommands.cpp
	commands/matrixqueries.cpp
)

if(EIGEN3_FOUND)
    list(APPEND analitza_SRCS commands/eigencommands.cpp)
endif()

ecm_create_qm_loader(analitza_SRCS analitza_qt)

add_library(Analitza ${analitza_SRCS})
target_link_libraries(Analitza Qt5::Core Qt5::Xml)
target_include_directories(Analitza INTERFACE "$<INSTALL_INTERFACE:${ANALITZA_INCLUDE_INSTALL_DIR}>")

set_target_properties(Analitza PROPERTIES VERSION ${ANALITZA_VERSION_STRING} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(Analitza EXPORT_FILE_NAME analitzaexport.h)

install(TARGETS Analitza EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES 
	${CMAKE_CURRENT_BINARY_DIR}/analitzaexport.h
	abstractlexer.h
	analyzer.h
	analitzautils.h
	expression.h
	abstractexpressionvisitor.h
	object.h
	operations.h
	operator.h
	variable.h
	value.h
	variables.h
	vector.h
	apply.h
	list.h
	customobject.h
	container.h
	matrix.h
	expressiontype.h
	builtinmethods.h
	importqobjectmetatype.h
	expressionstream.h
	DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitza/ COMPONENT Devel)

=== analitzaplot/CMakeLists.txt ===
project(AnalitzaPlot)

if(WIN32)
    find_package(GLEW REQUIRED)
    include_directories(${GLEW_INCLUDE_DIRS})
endif(WIN32)

find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

# MSVC and MinGW don't provide M_PI and friends in math.h,
# unless the right #define is set:
if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES)
elseif(MINGW)
    add_definitions(-D_BSD_SOURCE)
endif()

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
)

set ( analitzaplot_SRCS
    private/utils/mathutils.cpp
    private/utils/quadtree.cpp
    private/utils/marchingsquares.cpp
    private/utils/marchingcubes.cpp

    private/abstractplotitem.cpp
    private/abstractfunctiongraph.cpp
    private/abstractplanecurve.cpp
    private/abstractspacecurve.cpp
    private/abstractsurface.cpp
    private/functiongraphfactory.cpp

    private/backends/cartesiansurface.cpp
    private/backends/implicitcurve.cpp
    private/backends/cartesiancurve.cpp
    private/backends/cylindricalsurface.cpp
    private/backends/parametriccurve2d.cpp
    private/backends/parametriccurve3d.cpp
    private/backends/parametricsurface.cpp
    private/backends/polarcurve.cpp
    private/backends/implicitpolarcurve.cpp
    private/backends/sphericalsurface.cpp
    private/backends/implicitsurface.cpp

    plotsfactory.cpp
    plotitem.cpp
    functiongraph.cpp
    planecurve.cpp
    spacecurve.cpp
    surface.cpp
    plotsmodel.cpp
    plotsdictionarymodel.cpp
    plotter2d.cpp
    plotter3d_es.cpp
)
if(OPENGL_FOUND)
    include_directories ( ${OPENGL_INCLUDE_DIR} )
    list(APPEND analitzaplot_SRCS plotter3d.cpp)
endif()

add_library( AnalitzaPlot ${analitzaplot_SRCS} )
target_link_libraries ( AnalitzaPlot
  Qt5::Core
  Qt5::Gui

  Analitza
)

if(HAVE_OPENGL)
    target_link_libraries(AnalitzaPlot ${OPENGL_gl_LIBRARY} )
elseif(CMAKE_SYSTEM_NAME STREQUAL Android)
    target_link_libraries(AnalitzaPlot GLESv2)
endif()

if(WIN32)
    target_link_libraries(AnalitzaPlot ${GLEW_LIBRARIES})
endif(WIN32)

set_target_properties(AnalitzaPlot PROPERTIES VERSION ${ANALITZA_VERSION_STRING} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaPlot EXPORT_FILE_NAME analitzaplotexport.h)

install(TARGETS AnalitzaPlot EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/analitzaplotexport.h
    plotitem.h
    functiongraph.h
    planecurve.h
    spacecurve.h
    surface.h
    plotsmodel.h
    plotsdictionarymodel.h
    plotter2d.h
    plottingenums.h
    plotsfactory.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzaplot/ COMPONENT Devel
)

if(HAVE_OPENGL)
    install(FILES
        plotter3d.h DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzaplot/ COMPONENT Devel)
endif(HAVE_OPENGL)

add_subdirectory(data)
add_subdirectory(tests)
add_subdirectory(examples)

=== analitzawidgets/CMakeLists.txt ===
project(AnalitzaWidgets)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

set(analitzaplot_SRCS
    plotsview2d.cpp
    plotsview3d_es.cpp
    expressionedit.cpp
)
if(HAVE_OPENGL)
    list(APPEND analitzaplot_SRCS plotsview3d.cpp)
endif(HAVE_OPENGL)

add_library(AnalitzaWidgets ${analitzaplot_SRCS})
target_link_libraries(AnalitzaWidgets PUBLIC Qt5::Widgets Analitza AnalitzaPlot AnalitzaGui
                                      PRIVATE Qt5::Svg
)

if(HAVE_OPENGL)
    target_link_libraries(AnalitzaWidgets PUBLIC Qt5::OpenGL)
endif(HAVE_OPENGL)

set_target_properties(AnalitzaWidgets PROPERTIES VERSION ${ANALITZA_VERSION_STRING} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaWidgets)

install(TARGETS AnalitzaWidgets EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/analitzawidgets_export.h
    plotsview2d.h
    expressionedit.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
)

if(HAVE_OPENGL)
    install(FILES
        plotsview3d.h

        DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
    )
endif(HAVE_OPENGL)

=== debian/changelog ===
analitza (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:45:47 -0700

analitza (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Add libglu1-mesa-dev as that's required as well 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Mar 2016 21:42:21 +0100

analitza (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Analitza5Targets.cmake defines a dependency on libGL.so, so make
    libanalitza-dev depend on libgl1-mesa-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Mar 2016 17:05:29 +0100

analitza (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:20:36 +0100

analitza (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:27 +0100

analitza (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files.
  * New upstream release (15.08.0).
  * Update symbols files.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 18:05:12 +0200

analitza (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 16 Feb 2015 14:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 1.7.0~),
                libeigen3-dev,
+               libglew-dev,
                libncurses5-dev,
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
+               libqt5opengl5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtdeclarative5-dev
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/analitza.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/analitza.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/analitza.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/analitza.git
 
 Package: analitza-common
 Architecture: all
@@ -36,11 +38,14 @@
 Architecture: any
 Section: libdevel
 Conflicts: kalgebra-dev
-Depends: libanalitza6 (= ${binary:Version}),
-         libanalitzagui6 (= ${binary:Version}),
-         libanalitzaplot6 (= ${binary:Version}),
-         libanalitzawidgets6 (= ${binary:Version}),
+Depends: libanalitza7 (= ${binary:Version}),
+         libanalitzagui7 (= ${binary:Version}),
+         libanalitzaplot7 (= ${binary:Version}),
+         libanalitzawidgets7 (= ${binary:Version}),
          qml-module-org-kde-analitza (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         libgl1-mesa-dev,
+         libglu1-mesa-dev,
          ${misc:Depends}
 Description: development files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
@@ -52,7 +57,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitza6
+Package: libanalitza7
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions
@@ -61,7 +66,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzawidgets6
+Package: libanalitzawidgets7
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - widgets
@@ -70,7 +75,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzagui6
+Package: libanalitzagui7
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -82,7 +87,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzaplot6
+Package: libanalitzaplot7
 Architecture: any
 Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -108,9 +113,9 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libanalitza6 (= ${binary:Version}),
-         libanalitzagui6 (= ${binary:Version}),
-         libanalitzaplot6 (= ${binary:Version}),
+Depends: libanalitza7 (= ${binary:Version}),
+         libanalitzagui7 (= ${binary:Version}),
+         libanalitzaplot7 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
 Replaces: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_makeshlibs:
 	$(overridden_command) -V

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit
Restrictions: rw-build-tree

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/analitza-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/analitza-([\d.]+).tar.xz

## analitza 16.04.3

=== debian/changelog ===
analitza (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Fix merge markers in symbols files. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * Refresh symbols
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshed symbols and removed MISSING

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:34:47 +0200

analitza (4:15.12.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 08:32:08 +0100

analitza (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Follow upstream soversion bump

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libeigen3-dev,
                libglew-dev,
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libreadline-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
+Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/analitza.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/analitza.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
 
 Package: analitza-common
 Architecture: all
@@ -42,10 +41,10 @@
          libanalitzagui7 (= ${binary:Version}),
          libanalitzaplot7 (= ${binary:Version}),
          libanalitzawidgets7 (= ${binary:Version}),
+         libgl1-mesa-dev,
+         libglu1-mesa-dev,
          qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
-         libgl1-mesa-dev,
-         libglu1-mesa-dev,
          ${misc:Depends}
 Description: development files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
@@ -78,8 +77,6 @@
 Package: libanalitzagui7
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kalgebra (<< 4:4.7.2)
-Replaces: kalgebra (<< 4:4.7.2)
 Description: library to work with mathematical expressions - GUI routines
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -90,8 +87,6 @@
 Package: libanalitzaplot7
 Architecture: any
 Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kalgebra (<< 4:4.7.2)
-Replaces: kalgebra (<< 4:4.7.2)
 Description: library to work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -108,19 +103,3 @@
  to plotting.
  .
  This package is part of the KDE education module.
-
-Package: libanalitza-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libanalitza7 (= ${binary:Version}),
-         libanalitzagui7 (= ${binary:Version}),
-         libanalitzaplot7 (= ${binary:Version}),
-         ${misc:Depends}
-Breaks: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
-Replaces: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for Analitza
- This package contains debugging files used to investigate problems with
- libraries and binaries included in Analitza.
- .
- This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=libanalitza-dbg
+	$(overridden_command) --ddeb-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'

## analitza 16.08.3

=== debian/changelog ===
analitza (4:16.08.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace dbus-launch with dbus-run-session in tests.
    Thanks to Simon McVittie for reporting (Closes: 835831)
  * New upstream release (16.08.3)

  [ Automatic packaging ]
  * Update symbols files with the buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:34:25 +0100

analitza (4:16.08.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Update symbols files

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 21:23:49 +0200

analitza (4:16.04.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 17:33:57 +0200

analitza (4:16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Update symbols files.

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:21:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
                libeigen3-dev,
                libglew-dev,
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.6.1~),
-               libqt5svg5-dev (>= 5.6.1~),
+               libqt5opengl5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
-Standards-Version: 3.9.7
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/analitza.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/analitza.git
 
 Package: analitza-common
 Architecture: all
@@ -41,8 +41,6 @@
          libanalitzagui7 (= ${binary:Version}),
          libanalitzaplot7 (= ${binary:Version}),
          libanalitzawidgets7 (= ${binary:Version}),
-         libgl1-mesa-dev,
-         libglu1-mesa-dev,
          qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'
+	$(overridden_command) --dbgsym-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/analitza-([\d.]+).tar.xz
